package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_course_homework_reply):
 */
public class StudentCourseHomeworkReply {

	/**  */
	private Long id;
	
	/** 作业编号 */
	@ApiModelProperty(value = "作业编号",required = true)
	private Long studentCourseHomeworkId;
	
	/** 留言人编号 */
	@ApiModelProperty(value = "留言人编号",required = true)
	private Integer userId;
	
	/** 留言内容 */
	@ApiModelProperty(value = "留言内容",required = true)
	private String content;
	
	/**  */
	private java.util.Date createTime;
	
	/** 父级编号 */
	@ApiModelProperty(value = "父级编号",required = true)
	private Long parentId;

	private boolean extra;

	//false  文本，true其他需要跳转
	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	public ImSendTypeEnum getMsgType() {
		return msgType;
	}

	public void setMsgType(ImSendTypeEnum msgType) {
		this.msgType = msgType;
	}

	public boolean isExtra() {
		return extra;
	}

	public void setExtra(boolean extra) {
		this.extra = extra;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setStudentCourseHomeworkId(Long studentCourseHomeworkId){
		this.studentCourseHomeworkId = studentCourseHomeworkId;
	}
	
	public Long getStudentCourseHomeworkId(){
		return this.studentCourseHomeworkId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setParentId(Long parentId){
		this.parentId = parentId;
	}
	
	public Long getParentId(){
		return this.parentId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
